Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api.artifacts
[Java] Interface ModuleVersionIdentifier

    public interface ModuleVersionIdentifier
    extends Serializable

The identifier of a module version.

Method Summary
`String` | `getGroup()` The group of the module.
`ModuleIdentifier` | `getModule()` Returns the ModuleIdentifier containing the group and the name of this module.
`String` | `getName()` The name of the module.
`String` | `getVersion()` The version of the module

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Method Detail

### getGroup

    public String getGroup()

  The group of the module.
  Returns:
    module group

### getModule

    @Incubating
    public ModuleIdentifier getModule()

  Returns the ModuleIdentifier containing the group and the name of this module. Contains the same information as getGroup() and getVersion()
  Returns:
    the module identifier
  Since:
    1.4

### getName

    public String getName()

  The name of the module.
  Returns:
    module name

### getVersion

    public String getVersion()

  The version of the module
  Returns:
    module version

Gradle API 1.10